transDoNothing = zeros(6,6);
deterioration = [
    0.90 0.10 0.00 0.00 0.00 
    0.00 0.80 0.10 0.05 0.05 
    0.00 0.00 0.70 0.10 0.20
    0.00 0.00 0.00 0.50 0.50];
transDoNothing(1:4,1:5) = deterioration;
transMaintain = [ones(6,1), zeros(6,5)];
transRepair = zeros(6,6);
transRepair(5,6) = 1;
transRepair(6,1) = 1;
transArray(:,:,1) = transDoNothing;
transArray(:,:,2) = transMaintain;
transArray(:,:,3) = transRepair;

feasibleActions = {[1] , [1;2], [1;2], [1;2], [3], [3]};
costMatrix = [zeros(6,1), [0;7;7;5;0;0], [0;0;0;0;10;0]];

myeps = 0.0001;
maxIter = 1000;
[relV, lambda, policy, count] = FindPolicyRelVI(costMatrix, ...
    transArray, feasibleActions, 'min', myeps, maxIter);